/* basic reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Segoe UI", sans-serif;
  background-color: #1e1025;
  color: #fff;
  line-height: 1.6;
}

a {
  color: inherit;
  text-decoration: none;
}

.navbar {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1rem 2rem;
  background: #0c0615;
  background-color: transparent;
  position: sticky;
  top: 0;
  z-index: 1000000000000;
  gap: 100px;
  background-color: #1e1025;
}

.socialMedia {
  display: flex;
  gap: 24px;

  height: 24px;
}

.logo {
  font-weight: bold;
  font-size: 1.5rem;
}

.nav-links {
  display: flex;
  gap: 40px;
}

.hamburger {
  display: none;
  flex-direction: column;
  justify-content: space-between;
  height: 20px;
  cursor: pointer;
}

.hamburger .line {
  width: 30px;
  height: 3px;
  background: #fff;
  border-radius: 2px;
  transition: 0.3s;
}

/* menu */
.hamburger.active .line:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}

.hamburger.active .line:nth-child(2) {
  opacity: 0;
}

.hamburger.active .line:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

/* Versión móvil */
@media (max-width: 768px) {
  .nav-links {
    position: absolute;
    top: 70px;
    right: 0;
    width: 100%;
    background-color: #1e1025;
    font-size: 20px;
    flex-direction: column;
    gap: 8px;
    align-items: center;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-in-out;
    margin-top: -15px;
    padding-bottom: 15px;
  }

  .nav-links a {
    margin-top: 6px;
    width: 100%;
    text-align: center;
  }

  .nav-links.open {
    max-height: 200px;
  }

  .hamburger {
    display: flex;
  }

  .navbar {
    justify-content: flex-end;
  }
}

/* SERVICIOS TITLE */

.servicios-titulo {
  display: flex;
  flex-direction: column;
  height: 73px;

  width: 350px;
  margin: 0 auto;
  margin-top: 56px;
  margin-bottom: 80px;
}

.servicios h2 {
}

#servicios-titulo-h2 {
  font-family: "Cinzel Decorative", serif;

  font-size: 48px;
  font-weight: 700;
  text-align: center;
  background: linear-gradient(
    to right,
    #e7b94b,
    #fceabb,
    #e7b94b
  ); /* Degradado dorado horizontal */
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
  letter-spacing: 0px;
  position: relative;
  display: inline-block;
  padding-bottom: 10px;
  margin-top: -40px;
}

/* SERVICIOS TITLE */

/* TABLE HOROSCOPE */

.zodiacos {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  gap: 2rem;
  padding: 2rem;

  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  margin-top: 50px;
}

.zodiaco {
  background: linear-gradient(145deg, #e6b14c, #fff3a3, #e6b14c);
  padding: 1.2rem;
  text-align: center;
  border-radius: 6px;
  box-shadow: 0 0 10px rgba(255, 223, 100, 0.4);
  transition: transform 0.3s;
  height: 200px;
  width: 160px;

  cursor: pointer;
}

.zodiaco:hover {
  transform: scale(1.05);
}

.zodiaco img {
  width: 116px;
  height: 116px;
  object-fit: contain;
  margin-bottom: 0.5rem;
}

.zodiaco p {
  font-family: "Georgia", serif;
  color: #000;
  font-weight: bold;
  font-size: 1rem;
  margin: 0;
}

/* TABLE HOROSCOPE */
/* FOOTER */
footer p {
  color: white;
  margin-top: 150px;
  text-align: center;
  font-size: 24px;
  margin-bottom: 50px;
  font-weight: lighter;
  opacity: 0.7;
}

/* FOOTER */

@media (max-width: 1200px) {
  .zodiacos {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    gap: 2rem;
    padding: 2rem;

    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    margin-top: 50px;
  }
}

@media (max-width: 990px) {
  .zodiacos {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 2rem;
    padding: 2rem;

    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    margin-top: 50px;
  }
}

@media (max-width: 820px) {
  .zodiacos {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 2rem;
    padding: 2rem;

    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    margin-top: 50px;
  }
}

@media (max-width: 610px) {
  .zodiacos {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    padding: 2rem;

    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    margin-top: 50px;
  }

  .zodiaco {
    background: linear-gradient(145deg, #e6b14c, #fff3a3, #e6b14c);
    padding: 1.2rem;
    text-align: center;
    border-radius: 6px;
    box-shadow: 0 0 10px rgba(255, 223, 100, 0.4);
    transition: transform 0.3s;
    height: 200px;
    width: 140px;
    margin: 0 auto;
  }

  .zodiaco img {
    margin-left: -7px;
  }

  .servicios-titulo img {
    width: 100%;
    max-width: 300px;
    margin: 0 auto;
  }

  #servicios-titulo-h2 {
    font-family: "Cinzel Decorative", serif;

    font-size: 38px;
    font-weight: 700;
    text-align: center;
    background: linear-gradient(
      to right,
      #e7b94b,
      #fceabb,
      #e7b94b
    ); /* Degradado dorado horizontal */
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
    letter-spacing: 0px;
    position: relative;
    display: inline-block;
    padding-bottom: 10px;
    margin-top: -40px;
  }
}

@media (max-width: 420px) {
  main {
    margin-left: -8px;
  }

  #capricornioTexto {
    font-size: 15px;
    margin-left: -8px;
  }
}

/* BOOKING BUTTON */

.booking-banner {
  margin-top: 100px;
  width: 100%;
  padding: 40px 20px;
  background: linear-gradient(90deg, #1e1025, #2c1a35);
  display: flex;
  justify-content: center;
  align-items: center;
}

.booking-button {
  background: linear-gradient(90deg, #d8a946, #f9e58c, #d1943e);
  color: #1b0e19;
  font-family: "Cinzel Decorative", serif;
  font-size: 1.5rem; /* Tamaño más grande */
  font-weight: bold;

  padding: 1.5rem 4rem; /* Más padding */
  border: none;
  border-radius: 30px;
  box-shadow: 0 0 15px rgba(255, 225, 100, 0.5);
  cursor: pointer;
  transition: transform 0.2s ease, box-shadow 0.3s ease;
}

.booking-button:hover {
  transform: scale(1.05);
  box-shadow: 0 0 25px rgba(255, 225, 100, 0.7);
}
